# DraftService | windmill-client
Documentation for windmill-client

# Class DraftService

- Defined in src/services.gen.ts:3601

#####
Index

### Constructors

constructor

### Methods

createDraft
deleteDraft

##
Constructors

### constructor

- new DraftService(): DraftService

- #### Returns DraftService

##
Methods

### `Static` createDraft

- createDraft(data): CancelablePromise <string>

- create draft

  #### Parameters

  - data: CreateDraftData

    The data for the request.

  #### Returns CancelablePromise <string>

  string draft created

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:3610

### `Static` deleteDraft

- deleteDraft(data): CancelablePromise <string>

- delete draft

  #### Parameters

  - data: DeleteDraftData

    The data for the request.

  #### Returns CancelablePromise <string>

  string draft deleted

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:3631